%define name	libol
%define version 0.2.23
%define release 3mdk

%define libmajor 0
%define libname %name%libmajor

Summary: Nonblocking I/O and OO library
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.balabit.hu/en/products/syslog-ng/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Nonblocking I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.

%package -n %{libname}
Group: Development/Other
License: GPL
Summary: Nonblocking I/O and OO library. This package contains the libraries.

%description -n %{libname}
Nonblocking I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.

%package -n %{libname}-devel
Group: Development/Other
License: GPL
Summary: Nonblocking I/O and OO library. Devel files.
Requires: %libname = %version
Provides: libol-devel

%description -n %{libname}-devel
Nonblockin I/O and OO library. It is needed to build syslog-ng,
the new generation syslog.


%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build

%configure

%make

%install

%makeinstall

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(-,root,root)
%_libdir/*so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%_bindir/*
%_includedir/libol/
%_libdir/*.a
%_libdir/*.la
%_libdir/libol.so


%changelog
* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-3mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-2mdk
- rebuild

* Wed May 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-2mdk
- back to 0.2.23 since we need it for stable syslog ng ( sorry )
- recompile against gcc3.1

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.23-1mdk
- updated to 0.2.23

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2.20-1mdk
- used srpm from Daniel Serodio <dserodio@email.com> 
	- First spec file for Mandrake distribution, based on skelet.spec
  	from MandrakeSoft
- make compliant to library policy


# end of file
